using AutobusApi.Domain.Common;
using AutobusApi.Domain.Enums;
using AutobusApi.Domain.IEntities;

namespace AutobusApi.Domain.Entities;

public class Address : EntityBase
{
    public string Name { get; set; } = null!;

    public ICoordinates Location { get; set; } = null!;

    public VehicleType VehicleType { get; set; }

    public ICollection<RouteAddress> RouteAddresses { get; set; } = null!;

    public int CityId { get; set; }

    public City City { get; set; } = null!;
}
