using AutobusApi.Domain.Common;

namespace AutobusApi.Domain.Entities;

public class Company : EntityBase
{
    public string Name { get; set; } = null!;

    public string LegalAddress { get; set; } = null!;

    public string ContactEmail { get; set; } = null!;

    public string ContactPhoneNumber { get; set; } = null!;

    public ICollection<Vehicle> Vehicles { get; set; } = null!;

    public ICollection<Employee> Employees { get; set; } = null!;
}
