using AutobusApi.Domain.Common;
using AutobusApi.Domain.Enums;

namespace AutobusApi.Domain.Entities;

public class EmployeeDocument : EntityBase
{
    public EmployeeDocumentType Type { get; set; }

    public string Information { get; set; } = null!;

    public int EmployeeId { get; set; }

    public Employee Employee { get; set; } = null!;
}
