using AutobusApi.Domain.Common;

namespace AutobusApi.Domain.Entities;

public class Review : EntityBase
{
    public int Rating { get; set; }

    public string? Comment { get; set; }

    public DateTime PostDateTimeUtc { get; set; }

    public int UserId { get; set; }

    public User User { get; set; } = null!;

    public int VehicleEnrollmentId { get; set; }

    public VehicleEnrollment VehicleEnrollment { get; set; } = null!;
}
