using AutobusApi.Domain.Common;
using AutobusApi.Domain.Enums;

namespace AutobusApi.Domain.Entities;

public class Carriage : EntityBase
{
    public CarriageType Type { get; set; }

    public int Capacity { get; set; }

    public int Number { get; set; }

    public bool HasWiFi { get; set; }

    public bool HasOutlets { get; set; }

    public ICollection<TrainCarriage> TrainCarriage { get; set; } = null!;
}
