using AutobusApi.Domain.Common;

namespace AutobusApi.Domain.Entities;

public class RouteAddressDetails : EntityBase
{
    public TimeSpan TimeToNextAddress { get; set; }

    public double CostToNextAddress { get; set; }

    public TimeSpan CurrentAddressStopTime { get; set; }

    public int RouteAddressId { get; set; }

    public RouteAddress RouteAddress { get; set; } = null!;

    public int VehicleEnrollmentId { get; set; }

    public VehicleEnrollment VehicleEnrollment { get; set; } = null!;
}
