using AutobusApi.Application.Common.Mappings;
using AutoMapper;

namespace AutobusApi.UnitTests.Common.Mappings;

public class MappingTestsFixture
{
    public IConfigurationProvider ConfigurationProvider;

    public IMapper Mapper;

    public MappingTestsFixture()
    {
        ConfigurationProvider = new MapperConfiguration(options => options.AddProfile<MappingProfile>());

        Mapper = ConfigurationProvider.CreateMapper();
    }
}
